<?php

/**
 * Title: Our History page
 * Slug: cmt/history
 * Description: Default content for the Our History page
 * Categories: cmt, featured
 */
?>

<!-- wp:group {"style":{"spacing":{"padding":{"right":"var:preset|spacing|20","left":"var:preset|spacing|20"}}},"layout":{"type":"constrained"}} -->
<div class="wp-block-group" style="padding-right:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)"><!-- wp:spacer {"height":"14px"} -->
  <div style="height:14px" aria-hidden="true" class="wp-block-spacer"></div>
  <!-- /wp:spacer -->

  <!-- wp:post-title {"style":{"typography":{"fontSize":"30px","fontStyle":"normal","fontWeight":"400"},"elements":{"link":{"color":{"text":"var:preset|color|primary"}}}},"textColor":"primary"} /-->

  <!-- wp:paragraph -->
  <p>CMT Engineering Ltd. has a long history stretching back over 100 years on its site in Cradley Heath.</p>
  <!-- /wp:paragraph -->

  <!-- wp:paragraph {"style":{"spacing":{"margin":{"bottom":"var:preset|spacing|60"}}}} -->
  <p style="margin-bottom:var(--wp--preset--spacing--60)">It is an independent company owned by Anjali Agrawal with two divisions. Anjali is a chartered accountant; she has experience of working in various locations worldwide, giving her the opportunity to build a network of international relationships.</p>
  <!-- /wp:paragraph -->

  <!-- wp:group {"metadata":{"name":"Timeline"},"layout":{"type":"constrained"}} -->
  <div class="wp-block-group"><!-- wp:image {"id":76,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-head.png" alt="" class="wp-image-76" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">2017</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">CMT Engineering bought by Anjali Agrawal from Liberty House and incorporated as an independent company.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">2015</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Caparo’s UK businesses go into administration; bought by Liberty House Group.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">2004</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Nupac Clamps moves from Tewkesbury to become part of CMT Engineering; further development of product range and investment in new injection moulding machinery.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1997</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Major investment in semi-automatic rotary transfer machines for barrel nipple production.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1993</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Spartan is bought by Caparo; company name changed to Nupac.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1990</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Spartan Fixtures buys Spartan Plastics in Tewkesbury to produce G clamps.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1982</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Unicone transferred to CMT Engineering in Cradley Heath.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1981</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">CMT Group bought by Caparo.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1977</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Spartan Fixtures established in Martley, Worcestershire , by David Ecclestone to market his patented 40mm plastic Spartan G Clamp.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1976</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Tube Fittings moves into new premises in Cradley heath, built on the site of the original Cradley Heath Manufacturing Company.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1968</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Midland Iron Group acquired by Central Manufacturing and Trading - the reason we are still called CMT.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1960</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Midland Iron and Hardware Company formed. Cradley Heath Manufacturing and Tube Fittings become part of Midland Iron Group; close association with the Unicone Company.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1930</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Unicone Company formed in Glasgow by George Richard Inshaw. Patent application filed for Unicone system.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1924</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Tube Fittings founded. Factory in Old Hill, specialising in forged threaded mild steel elbows and tees.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1907</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Cradley Heath Manufacturing Company established, making wrought iron fittings for the gas, water and steam industries.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":84,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-stem.png" alt="" class="wp-image-84" /></figure>
    <!-- /wp:image -->

    <!-- wp:heading {"textAlign":"center","level":3,"className":"wp-block-heading"} -->
    <h3 class="wp-block-heading has-text-align-center">1811</h3>
    <!-- /wp:heading -->

    <!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"var:preset|spacing|50"}}}} -->
    <p class="has-text-align-center" style="margin-bottom:var(--wp--preset--spacing--50)">Wrought iron pipe fittings first produced by John Russell, landlord of the Turks Head Inn in Wednesbury. Over the next century the Black Country becomes the centre of the world’s steel tube-making industry.</p>
    <!-- /wp:paragraph -->

    <!-- wp:image {"id":98,"align":"center"} -->
    <figure class="wp-block-image aligncenter"><img src="http://www.cmt.localhost/wp-content/uploads/2018/07/timeline-arrow-head-flipped.png" alt="" class="wp-image-98" /></figure>
    <!-- /wp:image -->
  </div>
  <!-- /wp:group -->

  <!-- wp:spacer {"height":"63px"} -->
  <div style="height:63px" aria-hidden="true" class="wp-block-spacer"></div>
  <!-- /wp:spacer -->
</div>
<!-- /wp:group -->